activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jamie Balling (JIRA)" <j...@apache.org>
Subject [jira] Reopened: (AMQ-2492) Microsoft SQL Server JDBC Driver 2.0 not recognized
Date Tue, 05 Oct 2010 20:49:40 GMT

     [ https://issues.apache.org/activemq/browse/AMQ-2492?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jamie Balling reopened AMQ-2492:
--------------------------------


NOTE: This is my first use of the project bug system, so please let me know if I am not following
the right protocol by reopening this issue!

I was experiencing this same issue on 5.4.0 and believe I found a bug in the patch. The message
from ActiveMQ is:

     WARN | Database lock driver override not found for : [microsoft_sql_server_jdbc_driver_2_0]

but the patch installed a driver under:
  
     META-INF/services/org/apache/activemq/store/jdbc/microsoft_sql_server_jdbc_2_0_driver

Notice that the microsoft strings do not match  ("..._driver_2_0" vs "..._2_0_driver"). In
my system the default adapter was still being used until I corrected the META-INF file to
match the driver string.

> Microsoft SQL Server JDBC Driver 2.0 not recognized
> ---------------------------------------------------
>
>                 Key: AMQ-2492
>                 URL: https://issues.apache.org/activemq/browse/AMQ-2492
>             Project: ActiveMQ
>          Issue Type: Improvement
>          Components: Broker
>    Affects Versions: 5.3.0
>            Reporter: Steffen Enni
>            Assignee: Gary Tully
>             Fix For: 5.3.1, 5.4.0
>
>         Attachments: MicrosoftSQLServerJDBCDriver_2_0.patch
>
>
> The sqljdbc4.jar driver from http://www.microsoft.com/downloads/details.aspx?FamilyID=99b21b65-e98f-4a61-b811-19912601fdc9&displaylang=en
is not recognized.
> The log says:
> INFO | Using Persistence Adapter: JDBCPersistenceAdapter(org.apache.commons.dbcp.BasicDataSource@47570945)
> WARN | Database lock driver override not found for : [microsoft_sql_server_jdbc_driver_2_0].
 Will use default implementation.
> The fix is to add 
>     activemq-core\src\main\resources\META-INF\services\org\apache\activemq\store\jdbc\microsoft_sql_server_jdbc_2_0_driver

>     activemq-core\src\main\resources\META-INF\services\org\apache\activemq\store\jdbc\lock\microsoft_sql_server_jdbc_2_0_driver
> With the same content as the microsoft_sql_server_2005_driver in both directories.
> I've attached a pach 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message